---
title: Extension Storage
slug: Tools/Storage_Inspector/Extension_Storage
tags:
  - Dev Tools
  - Extension Storage
  - Firefox
  - Guide
  - Storage
  - Storage Inspector
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>This storage type is only shown when debugging extensions. When selecting an extension ID in the storage tree of the <a href="/en-US/docs/Tools/Storage_Inspector">Storage Inspector</a>, a table lists the details of all the extension storage present for the extension. This table contains the following columns:</p>

<ul>
 <li><em>Key</em> — The name of the stored item.</li>
 <li><em>Value</em> — The value of the stored item.</li>
 <li><em>Storage Area</em> — The name of the area where the item is stored.</li>
</ul>

<p><img alt="" src="https://mdn.mozillademos.org/files/17168/Extension_Storage.png" style="height: 250px; width: 926px;"></p>
